Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1059548

Summary: kerberos / gssapi login fails with 6.5.5 update
Product: [Fedora] Fedora Reporter: Amit Shah <amit.shah>
Component: offlineimapAssignee: Dodji Seketeli <dodji>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: amit.shah, asogukpi, atomlin, cfergeau, dodji, i, jhrozek, jolamb, mnewsome, mrunge, pfrields, rvdwees, stickster
Target Milestone: ---Flags: stickster: needinfo? (dodji)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 10:56:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Amit Shah 2014-01-30 06:45:32 UTC
Description of problem:

After upgrading to offlineimap-6.5.5-1.fc20.noarch, kerberos login fails:

GSSAPI authentication failed: AUTHENTICATE command error: BAD ['AUTHENTICATE aborted']. Data: MCGK2 AUTHENTICATE GSSAPI

downgrading to the previous offlineimap makes this work fine.

Comment 1 Amit Shah 2014-01-30 10:03:23 UTC
Version that works alright is offlineimap-6.5.2.1-5.fc20.noarch

Comment 2 John W. Lamb 2014-12-01 15:11:47 UTC
I have been able to reproduce this; specifically this happens when using SSL + Kerberos with max_connections > 1 - with just 1 connection I can't reliably reproduce the bug.

Comment 4 Matthias Runge 2015-04-14 21:10:05 UTC
this is still valid with offlineimap-6.5.6-2.fc22.noarch

Comment 5 Paul W. Frields 2015-04-14 21:45:09 UTC
Moved version accordingly.  Dodji, are you going to attempt to fix this, please?

Comment 6 Matthias Runge 2015-04-15 06:05:18 UTC
when logged into kerberos AND reducing max_connections = 1 , those issues are gone.

Increasing max connections or logging out of kerberos brings them back.

Obviously, downgrading doesn't work for f22.

Comment 7 Fedora End Of Life 2016-07-19 10:56:52 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.